Bug 1096947 - [GSS] (6.2.4) JBTM-1702: one-phase optimization: XAException by XAResource swallowed and bean invocation falsely a success
Summary: [GSS] (6.2.4) JBTM-1702: one-phase optimization: XAException by XAResource sw...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Transaction Manager
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.2.4
Assignee: Emmanuel Hugonnet (ehsavoie)
QA Contact: Ondrej Chaloupka
Russell Dickenson
URL:
Whiteboard:
Depends On: 1107569
Blocks: eap62-cp04-blockers 1105419
TreeView+ depends on / blocked
 
Reported: 2014-05-12 18:32 UTC by jolee
Modified: 2018-12-05 18:32 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In previous versions of JBoss EAP 6, it was found that XAExceptions thrown by XAResource were being swallowed and that bean invocation was falsely appearing to succeed. The issue presented when one-phase optimization was in use and the `XAResource.end()` method threw an `XA_RBCOMMFAIL` error. The bean client would seem to complete the bean method invocation successfully, however the transaction would have been rolled back by the database causing any subsequent bean invocations to fail as data assumed to be stored was not available. In this release, if the transaction fails in the XAResource, it is still rolled back, however an exception is now thrown so that the calling code can detect an error instead of assuming a success.
Clone Of:
: 1107569 (view as bug list)
Environment:
Last Closed: 2014-08-07 12:12:39 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBTM-1702 Major Closed one-phase optimization: XAException by XAResource swallowed and bean invocation falsely a success 2016-11-03 20:12:10 UTC

Description jolee 2014-05-12 18:32:03 UTC
Description of problem:
  wip:  I will provide the narayan branch URL once the backport is completed based upon 4.17.15.Final-redhat

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 jolee 2014-05-12 20:26:32 UTC
repo:    ssh://code.engineering.redhat.com/narayana.git
branch:  remotes/engineering/4.17.15.Final-redhat-JBTM-1702

Comment 2 jolee 2014-05-13 19:41:31 UTC
Created a tag (4.17.15.Final-redhat-eap-6.2.3) [1] to be used for the component upgrade.

Note that if another backport is identified,  this tag will need to be deleted and recreated to reflect the new inclusive commit.


[1]
[jolee@jolee narayana]$ git push engineering 4.17.15.Final-redhat-eap-6.2.3 
Counting objects: 1, done.
Writing objects: 100% (1/1), 185 bytes | 0 bytes/s, done.
Total 1 (delta 0), reused 0 (delta 0)
remote: Updating references: 100% (1/1)
To ssh://code.engineering.redhat.com/narayana.git
 * [new tag]         4.17.15.Final-redhat-eap-6.2.3 -> 4.17.15.Final-redhat-eap-6.2.3

Comment 4 Emmanuel Hugonnet (ehsavoie) 2014-06-05 15:44:27 UTC
Not in 4.17.15.Final-redhat-4 thus requires a component upgrade

Comment 8 Ondrej Chaloupka 2014-06-17 13:36:17 UTC
Verified for EAP 6.2.4.CP.CR1.

Comment 10 JBoss JIRA Server 2014-09-15 12:49:35 UTC
Tom Jenkinson <tom.jenkinson@redhat.com> updated the status of jira JBTM-1702 to Closed

Comment 11 JBoss JIRA Server 2015-06-18 12:02:34 UTC
Christian von Kutzleben <christian.vonkutzleben@actian.com> updated the status of jira JBTM-1702 to Reopened

Comment 12 JBoss JIRA Server 2015-06-19 14:15:54 UTC
Tom Jenkinson <tom.jenkinson@redhat.com> updated the status of jira JBTM-1702 to Closed

Comment 13 JBoss JIRA Server 2015-06-19 14:34:23 UTC
Tom Jenkinson <tom.jenkinson@redhat.com> updated the status of jira JBTM-1702 to Reopened

Comment 14 JBoss JIRA Server 2015-06-19 14:34:56 UTC
Tom Jenkinson <tom.jenkinson@redhat.com> updated the status of jira JBTM-1702 to Closed


Note You need to log in before you can comment on or make changes to this bug.